Bug 111541 - RPM database cannot be rebuilt
RPM database cannot be rebuilt
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 19:30 EST by Nathan Taylor
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-05 08:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Taylor 2003-12-04 19:30:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Well trying to install a few RPMs I got hooked up so I needed to 
clean out my RPM database and had a problem doing so.  I did the 
follow:

# rm-f /var/lib/rpm/__db*
# db_verify /var/lib/rpm/Packages

db_verify: Old or incorrect DB version; extraneous errors may result
db_verify: DB->verify: /var/lib/rpm/Packages: DB_VERIFY_BAD: Database 
verification failed

# rpm --rebuilddb

error: db4 error(16) from dbenv->remove: Device or resource busy

I sought advice from a several individuals to no avail and was told 
to try reporting it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. # rm-f /var/lib/rpm/__db*
2. # db_verify /var/lib/rpm/Packages
3. # rpm --rebuilddb
    

Actual Results:  1. Nothing
2. db_verify: Old or incorrect DB version; extraneous errors may 
result
db_verify: DB->verify: /var/lib/rpm/Packages: DB_VERIFY_BAD: Database 
verification failed
3. error: db4 error(16) from dbenv->remove: Device or resource busy

Additional info:
Comment 1 Jeff Johnson 2003-12-05 08:48:30 EST
You are attempting to use db_verify-4.0.14 to verify
a db-4.1.25 database.

Use /usr/lib/rpm/rpmdb_verify instead, same arguments (in fact,
same program), but from db-4.1.25 used by rpm.
Comment 2 Jeff Johnson 2003-12-05 09:10:29 EST
*** Bug 111230 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.